# class ScriptStack | Script runtime stack. More...
Full name | `TelEngine::ScriptStack`
Definition | `#include <libs/yscript/yatescript.h>`
Inherits | TelEngine::ObjList [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ScriptStack (ScriptRun* owner)
- inline ScriptRun* runner ()

## Detailed Description

A stack for a script running instance

ScriptStack (ScriptRun* owner) | ### ScriptStack

Constructor

Parameters:

owner | The script running instance that will own this stack

inline ScriptRun* runner () | ### runner

Retrieve the script running instance that owns this stack

Returns: Pointer to owner script instance

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.